Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(491)

Side by Side Diff: tools/get_skia_lkgr.sh

Issue 1406283002: Include resources directory in google3 sync. (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View unified diff | Download patch
OLDNEW
1 #!/bin/bash 1 #!/bin/bash
2 # Copyright 2014 Google Inc. 2 # Copyright 2014 Google Inc.
3 # 3 #
4 # Use of this source code is governed by a BSD-style license that can be 4 # Use of this source code is governed by a BSD-style license that can be
5 # found in the LICENSE file. 5 # found in the LICENSE file.
6 6
7 # Outputs the Last Known Good Revision of Skia. 7 # Outputs the Last Known Good Revision of Skia.
8 8
9 source gbash.sh || exit 9 prodcertstatus -q || (echo "Please run prodaccess." 1>&2; exit 1)
10 source gbash.sh || exit 2
10 11
11 set -x -e 12 set -e
12 13
13 # Retrieve last known good revision. (App-engine script is very flaky, so retry 14 # Retrieve last known good revision. (App-engine script is very flaky, so retry
14 # 10 times.) 15 # 10 times.)
15 LKGR="" 16 LKGR=""
16 for i in `seq 1 10`; do 17 for i in `seq 1 10`; do
17 LKGR=$(curl "http://skia-tree-status-staging.appspot.com/lkgr") 18 LKGR=$(curl "http://skia-tree-status-staging.appspot.com/lkgr")
18 if [[ ${#LKGR} -gt 4 ]]; then 19 if [[ ${#LKGR} -gt 4 ]]; then
19 break 20 break
20 fi 21 fi
21 done 22 done
22 [[ ${#LKGR} -gt 4 ]] || gbash::die "Unable to get Skia LKGR (got '${LKGR}')" 23 [[ ${#LKGR} -gt 4 ]] || gbash::die "Unable to get Skia LKGR (got '${LKGR}')"
23 echo "${LKGR}" 24 echo "${LKGR}"
OLDNEW

Powered by Google App Engine
This is Rietveld 408576698